{% load static %}
<!--<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script> -->
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <link rel="stylesheet" href="{% static 'crazymix/css/bootstrap.min.css'%}" type="text/css">
    <link rel="stylesheet" href="{% static 'crazymix/css/style.css'%}" type="text/css">
    <title>{% block title %}{% endblock %}</title>
    {#ici px relier aussi à mon propre style.css que j'ajouterais au dossier css#}
</head>

<body >
{#<body style="background-image: url('{% static "crazymix/img/studio.jpg" %}'); background-size: cover;">#}

<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top pb-0 pt-0">
    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto d-flex align-items-center">
            <li>
                <a class="nav-link" href="{% url 'index' %}"><img src="{% static 'crazymix/img/logo.png' %}" style="Width:50px;"/></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="{% url 'index' %}">Accueil <span class="sr-only">(current)</span></a>
            </li>
        </ul>
        <ul class="navbar-nav ml-auto d-flex align-items-center">
         {% if 'is_authenticated' in request.session %}
            <li class="nav-item active">
                <div class="dropdown">
                    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Réservation
                    </button>
                    <div class="dropdown-menu " aria-labelledby="dropdownMenuButton">
                        <a class="dropdown-item" href="/crazymix/reservation/new">Réserver une session </a>
                        <a class="dropdown-item" href="{% url 'sessions' %}">Voir mes sessions</a>
                        {% if 'professionnel' in request.session %}
                            <a class="dropdown-item" href="{% url 'validersessions' %}">Valider les sessions</a>
                        {% endif %}
                    </div>
                </div>
            </li>
        {% endif %}
         {%  if not 'is_authenticated' in request.session %}
        {% else %}
            <li class="nav-item active ml-2">
                <a class="nav-link" href="{% url 'extraits_artistes' %}">Mes extraits <span
                        class="sr-only">(current)</span></a>
            </li>
        {% endif %}
            <li class="nav-item">
            </li>
             <li class="nav-item active ml-2">
                <li class="nav-item active">
               <div>
                    <form method="get" action="{% url 'rechercherExtrait' %}" class="d-flex">
                      <input type="search" class="form-control rounded" name="r" aria-label="Search" aria-describedby="search-addon" />
                      <input type="submit" value="Rechercher" class="btn btn-outline-primary"/>
                    </form>
               </div>
            </li>
            <li class="nav-item active ml-2">
                <li class="nav-item active">
                <div class="dropdown">
                    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Compte
                    </button>
                    <div class="dropdown-menu " aria-labelledby="dropdownMenuButton">
                        {%  if not 'is_authenticated' in request.session %}
                            <a class="dropdown-item" href="{% url 'login' %}">Connexion</a>
                            <a class="dropdown-item" href="{% url 'register' %}">Inscription</a>
                        {% else %}
{#                             <a class="nav-link" href="{% url 'login' %}"> se deconnecter </a>#}
                             <a class="dropdown-item" href="{% url 'compte' %}">Mon compte</a>
                            <a class="dropdown-item" href="{% url 'deconnexion' %}">Déconnexion</a>
                        {% endif %}


                    </div>
                </div>
            </li>

            <li>
                <a class="nav-link" href="{% url 'infos' %}"><img class="rounded-pill ml-3" src="{% static 'crazymix/img/help.jpg' %}" style="Width:35px;"/></a>
            </li>
        </ul>
    </div>
</nav>

<main role="main" class="container">
    <div class="starter-template">
        <h1>&nbsp;</h1>
     <h2 class="mt-5 mb-2 text-center">{{ title }}</h2>
        {% block contenu %}

        {% endblock %}
    </div>


    {#    <script  src="{% static 'crazymix/js/bootstrap.bundle.min.js'%}  ></script>#}

    {#  # Ici j'ai voulu faire le script pour le bouton reservation comme une list dropdown , en cliquant#}
    {#                 sur lui ca affiche les choix, ca marche pas encore le script de js!!!#}
    {#    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/js/bootstrap.bundle.min.js"></script>#}


</main>
</body>
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</html>
